Skip to main content
GET
/
units
/
{unitId}
Get a unit
curl --request GET \
  --url https://app.lanten.co/api/open/v1/units/{unitId} \
  --header 'Authorization: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fullAddress": "<string>",
    "addressLine1": "<string>",
    "addressLine2": "<string>",
    "city": "<string>",
    "county": "<string>",
    "country": "<string>",
    "postcode": "<string>",
    "area": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tenantUnits": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tenant": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "jsmith@example.com"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

unitId
string<uuid>
required

Response

Unit

data
object